﻿@page "/"
@inject LoginAgent loginAgent
@inject ILoginService loginService
@inject NavigationManager NavManager


<div style="width:100%;height:100%" class="mx-auto background-gradient">
    <div class="jumbotron d-block m-auto login-container mt-5">

        <div class="row">
            <div class="col-md-6">
                <img height="230rem" src="/img/login-icon.png" />
            </div>

            <div class="col-md-6">
                <h4>Log In</h4>
                <TelerikForm Model="@userinfo"
                             OnValidSubmit="@HandleValidSubmit">
                    <FormValidation>
                        <DataAnnotationsValidator></DataAnnotationsValidator>
                    </FormValidation>
                    <FormItems>
                        <div>
                            <label class="col-form-label">Username</label>
                            <TelerikTextBox Class="form-control" @bind-Value="@userinfo.Username"></TelerikTextBox>
                        </div>

                        <div class="mt-2">
                            <label class="col-form-label">Password</label>
                            <TelerikTextBox Class="form-control" Password="true" @bind-Value="@userinfo.Password"></TelerikTextBox>
                        </div>
                    </FormItems>
                    <FormButtons>
                        <TelerikButton ButtonType="@ButtonType.Submit" Primary="true" Class="full-width">Log in</TelerikButton>
                    </FormButtons>
                </TelerikForm>
            </div>
        </div>
    </div>
</div>


@code {
    private UserInfo userinfo = new UserInfo();

    private async void HandleValidSubmit()
    {
        string token = await loginAgent.Login(userinfo);
        if (token != null || token != "")
        {
            await loginService.Login(token);
            NavManager.NavigateTo("/counter");
        }

    }
}
